<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>T54.5 - zastosowanie funkcji</title>
    <link rel="stylesheet" href="../style.css">
</head>
<body>
<header>
    <h1>Zadanie T54.5</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
<p>
    Zadanie T545 <br><br>

    Napisz funkcję, która dla dwóch liczb całkowitych wyświetla ich wspólny dzielnik (przypomnij sobie algorytm Euklidesa).
</p>
</div>
<div class="box">
    <form action="index.php" method="post">
        <label for="a">Wprowadź liczbę a:</label><br>
        <input type="number" name="a" id="a"><br>
        <label for="b">Wprowadź liczbę b:</label><br>
        <input type="number" name="b" id="b"><br>
        <button type="submit">Wyślij</button>
    </form>
</div>
<?php
function algorytmEuklidesa($a, $b) {
    if ($b == 0) {
        return null;
    }
    if ($a == $b) {
        return $a;
    }
    return algorytmEuklidesa($b, $a % $b);
}
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    echo "<div class='box'>";
    $a = $_POST['a'];
    $b = $_POST['b'];
    $dzielnik = algorytmEuklidesa($a, $b);
    echo "Dzielnik: $dzielnik";
    echo "</div>";
}
?>
</body>
</html>